# MQTT messages db table schema
#
# Copyright (c) 2023 ZKM | Hertz-Lab
# Dan Wilcox <dan.wilcox@zkm.de>
#
# BSD Simplified License.
# For information on usage and redistribution, and for a DISCLAIMER OF ALL
# WARRANTIES, see the file, "LICENSE.txt," in this distribution.
#
# This code has been developed at ZKM | Hertz-Lab as part of „The Intelligent
# Museum“ generously funded by the German Federal Cultural Foundation.

TABLE = "messages"

FIELDS = {
    "id": "INTEGER PRIMARY KEY AUTOINCREMENT",
    "time": "INTEGER", # unix timestamp
    "topic": "TEXT",   # MQTT topic, will not contain wildcard # or +
    "message": "TEXT"  # message content converted to a string
}
