# Copyright (c) 2023 ZKM | Hertz-Lab
# Dan Wilcox <dan.wilcox@zkm.de>
#
# BSD Simplified License.
# For information on usage and redistribution, and for a DISCLAIMER OF ALL
# WARRANTIES, see the file, "LICENSE.txt," in this distribution.
#
# This code has been developed at ZKM | Hertz-Lab as part of „The Intelligent
# Museum“ generously funded by the German Federal Cultural Foundation.

import sensor

# these is the current sensors to simulate
sensors = [
    sensor.Value("test/temperature", interval=1, value=10, step=5, range=[-20, 40]),
    sensor.Value("test/humidity", interval=2, value=50, step=2, range=[0, 100]),
    sensor.Lidar("lidar", interval=0.5, maxpeople=5, newchance=0.3)
]
